TIBCO FTL®

Public Member Functions | List of all members
TIBCO.FTL.ISubscriber Interface Reference

Subscribers express interest to receive inbound messages. More...

Inheritance diagram for TIBCO.FTL.ISubscriber:

## Public Member Functions
void | Acknowledge (IMessage[] messages)
| Explicitly acknowledge a batch of messages. More...

## Detailed Description

Subscribers express interest to receive inbound messages.

A subscriber object realizes the message-receiving functionality of an endpoint within a program.

A subscriber object encapsulates all the information that a program needs to subscribe to a stream of messages. Subscriber objects use the transport and format resources associated with an endpoint (as defined in the realm).

A subscriber can also use an optional content matcher to filter the message stream.

A subscriber does not receive messages until you add it to an event queue.

Use subscriber objects to receive one-to-many messages. Use IInboxSubscriber objects to receive one-to-one messages.

To create a subscriber object, call IRealm.CreateSubscriber(string). Programs must define a callback method in a class that implements the ISubscriberListener interface.

Customers do not implement this interface.

## Member Function Documentation

## ◆ Acknowledge()

void TIBCO.FTL.ISubscriber.Acknowledge | ( | IMessage[] | messages | ) |

Explicitly acknowledge a batch of messages.

When a durable subscriber object specifies explicit acknowledgement, the application program must acknowledge each message to the durable, the application can acknowledge each message individually by calling msg.acknowledge() or by calling this method with a batch of messages.

When a durable subscriber object does not specify explicit acknowledgement, the FTL library automatically acknowledges the message when the application callback method returns.

For any message that arrives through a non-durable subscriber, this call returns without error (and without action).

Parameters

  messages | The method acknowledges all the messages from this array.